# UCI schema

<tbody>
  <tr>
    <td colspan="2">
      <div style="font-weight: bold;">users</div>
      <table style="width: 100%;">
        <tbody>
          <tr>
            <td><div style="font-weight: bold; font-size: 14px;">section</div></td>
            <td><div style="font-weight: bold; font-size: 14px;">description</div></td>
            <td><div style="font-weight: bold; font-size: 14px;">multi</div></td>
            <td><div style="font-weight: bold; font-size: 14px;">options</div></td>
          </tr>
          <tr>
            <td class="td_row_even"><div class="td_row_even">user</div></td>
            <td class="td_row_even"><div class="td_row_even">Configure the USER parameters</div></td>
            <td class="td_row_even"><div class="td_row_even">true</div></td>
            <td class="td_row_even">
              <table style="width: 100%;">
                <tbody>
                  <tr>
                    <td><div style="font-weight: bold; font-size: 14px;">name</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">type</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">required</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">default</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">description</div></td>
                  </tr>
                  <tr>
                    <td class="td_row_even"><div class="td_row_even">enabled</div></td>
                    <td class="td_row_even"><div class="td_row_even">boolean</div></td>
                    <td class="td_row_even"><div class="td_row_even">yes</div></td>
                    <td class="td_row_even"><div class="td_row_even">0</div></td>
                    <td class="td_row_even"><div class="td_row_even">Enable/disable the user</div></td>
                  </tr>
                  <tr>
                    <td class="td_row_odd"><div class="td_row_odd">remote_access</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">boolean</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">yes</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">0</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">Enable/disable user's remote accessibility</div></td>
                  </tr>
                  <tr>
                    <td class="td_row_even"><div class="td_row_even">member_groups</div></td>
                    <td class="td_row_even"><div class="td_row_even">string</div></td>
                    <td class="td_row_even"><div class="td_row_even">no</div></td>
                    <td class="td_row_even"><div class="td_row_even"></div></td>
                    <td class="td_row_even"><div class="td_row_even">The groups of which this user is a member</div></td>
                  </tr>
                  <tr>
                    <td class="td_row_odd"><div class="td_row_odd">password</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">string</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">yes</div></td>
                    <td class="td_row_odd"><div class="td_row_odd"></div></td>
                    <td class="td_row_odd"><div class="td_row_odd">Password for this user authentication</div></td>
                  </tr>
                  <tr>
                    <td class="td_row_even"><div class="td_row_even">member_roles</div></td>
                    <td class="td_row_even"><div class="td_row_even">string</div></td>
                    <td class="td_row_even"><div class="td_row_even">no</div></td>
                    <td class="td_row_even"><div class="td_row_even"></div></td>
                    <td class="td_row_even"><div class="td_row_even">The roles which are assigned to this user</div></td>
                  </tr>
                  <tr>
                    <td class="td_row_odd"><div class="td_row_odd">shell</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">string</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">no</div></td>
                    <td class="td_row_odd"><div class="td_row_odd"></div></td>
                    <td class="td_row_odd"><div class="td_row_odd">The name of the shell to which this user is given the access</div></td>
                  </tr>
                </tbody>
              </table>
            </td>
          </tr>
          <tr>
            <td class="td_row_odd"><div class="td_row_odd">role</div></td>
            <td class="td_row_odd"><div class="td_row_odd">Role configuration</div></td>
            <td class="td_row_odd"><div class="td_row_odd">true</div></td>
            <td class="td_row_odd">
              <table style="width: 100%;">
                <tbody>
                  <tr>
                    <td><div style="font-weight: bold; font-size: 14px;">name</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">type</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">required</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">default</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">description</div></td>
                  </tr>
                  <tr>
                    <td class="td_row_even"><div class="td_row_even">enabled</div></td>
                    <td class="td_row_even"><div class="td_row_even">boolean</div></td>
                    <td class="td_row_even"><div class="td_row_even">yes</div></td>
                    <td class="td_row_even"><div class="td_row_even">0</div></td>
                    <td class="td_row_even"><div class="td_row_even">if set to <b>1</b>, the role will be enabled.</div></td>
                  </tr>
                  <tr>
                    <td class="td_row_even"><div class="td_row_even">role_id</div></td>
                    <td class="td_row_even"><div class="td_row_even">uinteger</div></td>
                    <td class="td_row_even"><div class="td_row_even">yes</div></td>
                    <td class="td_row_even"><div class="td_row_even"></div></td>
                    <td class="td_row_even"><div class="td_row_even">An Unique ID of this role</div></td>
                  </tr>
                  <tr>
                    <td class="td_row_even"><div class="td_row_even">name</div></td>
                    <td class="td_row_even"><div class="td_row_even">string</div></td>
                    <td class="td_row_even"><div class="td_row_even">yes</div></td>
                    <td class="td_row_even"><div class="td_row_even">Default_[num]</div></td>
                    <td class="td_row_even"><div class="td_row_even">Unique name of this role</div></td>
                  </tr>
                </tbody>
              </table>
            </td>
          </tr>
          <tr>
            <td class="td_row_even"><div class="td_row_even">group</div></td>
            <td class="td_row_even"><div class="td_row_even">Group configuration</div></td>
            <td class="td_row_even"><div class="td_row_even">true</div></td>
            <td class="td_row_even">
              <table style="width: 100%;">
                <tbody>
                  <tr>
                    <td><div style="font-weight: bold; font-size: 14px;">name</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">type</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">required</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">default</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">description</div></td>
                  </tr>
                  <tr>
                    <td class="td_row_even"><div class="td_row_even">enabled</div></td>
                    <td class="td_row_even"><div class="td_row_even">boolean</div></td>
                    <td class="td_row_even"><div class="td_row_even">yes</div></td>
                    <td class="td_row_even"><div class="td_row_even">0</div></td>
                    <td class="td_row_even">
                      <div class="td_row_even">if set to <b>1</b>, the group will be enabled.</div>
                    </td>
                  </tr>
                  <tr>
                    <td class="td_row_odd"><div class="td_row_odd">member_roles</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">string</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">no</div></td>
                    <td class="td_row_odd"><div class="td_row_odd"></div></td>
                    <td class="td_row_odd"><div class="td_row_odd">The roles which are assigned to this group</div></td>
                  </tr>
                </tbody>
              </table>
            </td>
          </tr>
          <tr>
            <td class="td_row_even"><div class="td_row_even">shell</div></td>
            <td class="td_row_even"><div class="td_row_even">Supported shell configuration</div></td>
            <td class="td_row_even"><div class="td_row_even">true</div></td>
            <td class="td_row_even">
              <table style="width: 100%;">
                <tbody>
                  <tr>
                    <td><div style="font-weight: bold; font-size: 14px;">name</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">type</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">required</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">default</div></td>
                    <td><div style="font-weight: bold; font-size: 14px;">description</div></td>
                  </tr>
                  <tr>
                    <td class="td_row_even"><div class="td_row_even">enabled</div></td>
                    <td class="td_row_even"><div class="td_row_even">boolean</div></td>
                    <td class="td_row_even"><div class="td_row_even">yes</div></td>
                    <td class="td_row_even"><div class="td_row_even">1</div></td>
                    <td class="td_row_even">
                      <div class="td_row_even">if set to <b>1</b>, the shell will be enabled.</div>
                    </td>
                  </tr>
                  <tr>
                    <td class="td_row_odd"><div class="td_row_odd">name</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">string</div></td>
                    <td class="td_row_odd"><div class="td_row_odd">yes</div></td>
                    <td class="td_row_odd"><div class="td_row_odd"></div></td>
                    <td class="td_row_odd"><div class="td_row_odd">The name of the shell</div></td>
                  </tr>
                </tbody>
              </table>
            </td>
          </tr>
        </tbody>
      </table>
    </td>
  </tr>
</tbody>
